/*
 * cfidfsw.h
 *
 * Copyright (c) 2001 Hajime Mochizuki <motizuki@jaist.ac.jp>
 *   Natural Language Processing Laboratory,
 *   Japan Advanced Institute of Science and Technology.
 *
 *
 * Use of this software is granted only for RESEARCH PURPOSES. 
 * Redistribution is granted as long as all copyright notices are retained.
 * Redistribution with modification is allowed provided that you make your 
 * modified version obviously distinguishable from the original one.  
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
 * IMPLIED WARRANTIES ARE DISCLAIMED.
 *
 *
 */
#ifndef CFIDFSW_H
#define CFIDFSW_H

#include <chainers/mrpfil.h>

struct snword {
	int   sn;
	char *word;
	char *sense;
	/*	char pp[10];*/
	double ppw;
};

struct chain_data {
	int    cwn;
	double score;
	struct snword *snw;
};

double qwgt;
int    qb;
int chnw_mode;
int min_chntf;
int thre_mode;
double thre_val;
int length_mode;
/*int use_cha;*/

int chain_bunbo;
int gap_bunbo;

int chain_threshold;
int gap_threshold;
int norm_mode;
double norm_val;
int chn_type;
/* int mrp_type;*/
int no_pw;

#ifndef HashSize
#define HashSize 1001
#endif

#endif 
